BST SHOW(1)

NAME
bst-show - Show elements in the pipeline

SYNOPSIS
bst show [OPTIONS] TARGET

DESCRIPTION
Show elements in the pipeline By default this will show all of the dependencies of the specified target element. Specify `--deps` to control which elements to show:
    none: No dependencies, just the element itself
    plan: Dependencies required for a build plan
    run: Runtime dependencies, including the element itself
    build: Build time dependencies, excluding the element itself
    all: All dependencies FORMAT ~~~~~~ The --format option controls what should be printed for each element, the following symbols can be used in the format string:
    %{name} The element name
    %{variant} The selected element variant
    %{key} The abbreviated cache key (if all sources are consistent)
    %{full-key} The full cache key (if all sources are consistent)
    %{state} cached, buildable, waiting or inconsistent
    %{config} The element configuration
    %{vars} Variable configuration
    %{env} Environment settings
    %{public} Public domain data
    %{workspaced} If the element is workspaced
    %{workspace-dirs} A list of workspace directories The value of the %{symbol} without the leading '%' character is understood as a pythonic formatting string, so python formatting features apply, examle:
    bst show target.bst --format 'Name: %{name: ^20} Key: %{key: ^8} State: %{state}' If you want to use a newline in a format string in bash, use the '$' modifier:
    bst show target.bst --format $'---------- %{name} ----------{vars}'

OPTIONS

--except TEXT
    Except certain dependencies

-d, --deps [none|plan|run|build|all]
    The dependencies to show (default: all)

--order [stage|alpha]
    Staging or alphabetic ordering of dependencies

-f, --format FORMAT
    Format string for each element

--variant TEXT
    A variant of the specified target